<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- XRef/xref26.html -->
<!-- this view was generated by XRef -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Cross Reference : Synopsis::SymbolLookup::SymbolVisitor::visit&#40;const EnumName*&#41; - Synopsis::SymbolLookup::Walker::visit&#40;PTree::FunctionDefinition*&#41;</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="XRef">
<div class="navigation">
<span class="normal"><a href="../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Cross Reference : Synopsis::SymbolLookup::SymbolVisitor::visit&#40;const EnumName*&#41; - Synopsis::SymbolLookup::Walker::visit&#40;PTree::FunctionDefinition*&#41;</h1><div class="xref-name"><a id="Synopsis_mSymbolLookup_mSymbolVisitor_mvisit_lconst.EnumName_S_r" /><h2 >Member function Synopsis::SymbolLookup::SymbolVisitor::visit&#40;const EnumName*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.EnumName_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#41">Synopsis/SymbolLookup/Symbol.hh:41</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html" >Synopsis::SymbolLookup::SymbolVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mSymbolVisitor_mvisit_lconst.FunctionName_S_r" /><h2 >Member function Synopsis::SymbolLookup::SymbolVisitor::visit&#40;const FunctionName*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.FunctionName_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#43">Synopsis/SymbolLookup/Symbol.hh:43</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html" >Synopsis::SymbolLookup::SymbolVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mSymbolVisitor_mvisit_lconst.FunctionTemplateName_S_r" /><h2 >Member function Synopsis::SymbolLookup::SymbolVisitor::visit&#40;const FunctionTemplateName*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.FunctionTemplateName_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#44">Synopsis/SymbolLookup/Symbol.hh:44</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html" >Synopsis::SymbolLookup::SymbolVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mSymbolVisitor_mvisit_lconst.NamespaceName_S_r" /><h2 >Member function Synopsis::SymbolLookup::SymbolVisitor::visit&#40;const NamespaceName*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.NamespaceName_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#45">Synopsis/SymbolLookup/Symbol.hh:45</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html" >Synopsis::SymbolLookup::SymbolVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mSymbolVisitor_mvisit_lconst.Symbol_S_r" /><h2 >Member function Synopsis::SymbolLookup::SymbolVisitor::visit&#40;const Symbol*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.Symbol_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#35">Synopsis/SymbolLookup/Symbol.hh:35</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html" >Synopsis::SymbolLookup::SymbolVisitor</a></li>
</ul></li>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#59">Synopsis/SymbolLookup/Symbol.hh:59</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/Symbol.html#accept_lSymbolVisitor_S_rconst" >Synopsis::SymbolLookup::Symbol::accept&#40;SymbolVisitor*&#41;const</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#77">Synopsis/SymbolLookup/Symbol.hh:77</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/VariableName.html#accept_lSymbolVisitor_S_rconst" >Synopsis::SymbolLookup::VariableName::accept&#40;SymbolVisitor*&#41;const</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#89">Synopsis/SymbolLookup/Symbol.hh:89</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/ConstName.html#accept_lSymbolVisitor_S_rconst" >Synopsis::SymbolLookup::ConstName::accept&#40;SymbolVisitor*&#41;const</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#103">Synopsis/SymbolLookup/Symbol.hh:103</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/TypeName.html#accept_lSymbolVisitor_S_rconst" >Synopsis::SymbolLookup::TypeName::accept&#40;SymbolVisitor*&#41;const</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#111">Synopsis/SymbolLookup/Symbol.hh:111</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/TypedefName.html#accept_lSymbolVisitor_S_rconst" >Synopsis::SymbolLookup::TypedefName::accept&#40;SymbolVisitor*&#41;const</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#119">Synopsis/SymbolLookup/Symbol.hh:119</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/ClassName.html#accept_lSymbolVisitor_S_rconst" >Synopsis::SymbolLookup::ClassName::accept&#40;SymbolVisitor*&#41;const</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#131">Synopsis/SymbolLookup/Symbol.hh:131</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/EnumName.html#accept_lSymbolVisitor_S_rconst" >Synopsis::SymbolLookup::EnumName::accept&#40;SymbolVisitor*&#41;const</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#140">Synopsis/SymbolLookup/Symbol.hh:140</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/ClassTemplateName.html#accept_lSymbolVisitor_S_rconst" >Synopsis::SymbolLookup::ClassTemplateName::accept&#40;SymbolVisitor*&#41;const</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#153">Synopsis/SymbolLookup/Symbol.hh:153</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/FunctionName.html#accept_lSymbolVisitor_S_rconst" >Synopsis::SymbolLookup::FunctionName::accept&#40;SymbolVisitor*&#41;const</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#165">Synopsis/SymbolLookup/Symbol.hh:165</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/FunctionTemplateName.html#accept_lSymbolVisitor_S_rconst" >Synopsis::SymbolLookup::FunctionTemplateName::accept&#40;SymbolVisitor*&#41;const</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#178">Synopsis/SymbolLookup/Symbol.hh:178</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/NamespaceName.html#accept_lSymbolVisitor_S_rconst" >Synopsis::SymbolLookup::NamespaceName::accept&#40;SymbolVisitor*&#41;const</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mSymbolVisitor_mvisit_lconst.TypeName_S_r" /><h2 >Member function Synopsis::SymbolLookup::SymbolVisitor::visit&#40;const TypeName*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.TypeName_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#38">Synopsis/SymbolLookup/Symbol.hh:38</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html" >Synopsis::SymbolLookup::SymbolVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mSymbolVisitor_mvisit_lconst.TypedefName_S_r" /><h2 >Member function Synopsis::SymbolLookup::SymbolVisitor::visit&#40;const TypedefName*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.TypedefName_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#39">Synopsis/SymbolLookup/Symbol.hh:39</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html" >Synopsis::SymbolLookup::SymbolVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mSymbolVisitor_mvisit_lconst.VariableName_S_r" /><h2 >Member function Synopsis::SymbolLookup::SymbolVisitor::visit&#40;const VariableName*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.VariableName_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#36">Synopsis/SymbolLookup/Symbol.hh:36</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html" >Synopsis::SymbolLookup::SymbolVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mSymbolVisitor_m_tSymbolVisitor_l_r" /><h2 >Destructor Synopsis::SymbolLookup::SymbolVisitor::~SymbolVisitor&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#_tSymbolVisitor_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#33">Synopsis/SymbolLookup/Symbol.hh:33</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html" >Synopsis::SymbolLookup::SymbolVisitor</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mTemplateParameterScope" /><h2 >Class Synopsis::SymbolLookup::TemplateParameterScope</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup.html#TemplateParameterScope" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#43">Synopsis/SymbolLookup/Scopes.hh:43</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/TemplateParameterScope.html" >Synopsis::SymbolLookup::TemplateParameterScope</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#77">Synopsis/SymbolFactory.hh:77</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#53">Synopsis/SymbolLookup/Display.hh:53</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ScopeDisplay.html" >Synopsis::SymbolLookup::ScopeDisplay</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#35">Synopsis/SymbolLookup/Scopes.hh:35</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ScopeVisitor.html" >Synopsis::SymbolLookup::ScopeVisitor</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#110">Synopsis/SymbolLookup/Scopes.hh:110</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html" >Synopsis::SymbolLookup::FunctionScope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#119">Synopsis/SymbolLookup/Scopes.hh:119</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/PrototypeScope.html" >Synopsis::SymbolLookup::PrototypeScope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#127">Synopsis/SymbolLookup/Scopes.hh:127</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/PrototypeScope.html" >Synopsis::SymbolLookup::PrototypeScope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#139">Synopsis/SymbolLookup/Scopes.hh:139</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/PrototypeScope.html" >Synopsis::SymbolLookup::PrototypeScope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#148">Synopsis/SymbolLookup/Scopes.hh:148</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Class.html" >Synopsis::SymbolLookup::Class</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#169">Synopsis/SymbolLookup/Scopes.hh:169</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Class.html" >Synopsis::SymbolLookup::Class</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mTemplateParameterScope_mTemplateParameterScope_lconst.PTree_mList_S_cconst.Scope_S_r" /><h2 >Synopsis::SymbolLookup::TemplateParameterScope::TemplateParameterScope&#40;const PTree::List*&#44;const Scope*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#46">Synopsis/SymbolLookup/Scopes.hh:46</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/TemplateParameterScope.html" >Synopsis::SymbolLookup::TemplateParameterScope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mTemplateParameterScope_maccept_lScopeVisitor_S_r" /><h2 >Member function Synopsis::SymbolLookup::TemplateParameterScope::accept&#40;ScopeVisitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/TemplateParameterScope.html#accept_lScopeVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#53">Synopsis/SymbolLookup/Scopes.hh:53</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/TemplateParameterScope.html" >Synopsis::SymbolLookup::TemplateParameterScope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mTemplateParameterScope_mmy_node" /><h2 >Data member Synopsis::SymbolLookup::TemplateParameterScope::my_node</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/TemplateParameterScope.html#my_node" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#59">Synopsis/SymbolLookup/Scopes.hh:59</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/TemplateParameterScope.html" >Synopsis::SymbolLookup::TemplateParameterScope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mTemplateParameterScope_mmy_outer" /><h2 >Data member Synopsis::SymbolLookup::TemplateParameterScope::my_outer</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/TemplateParameterScope.html#my_outer" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#60">Synopsis/SymbolLookup/Scopes.hh:60</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/TemplateParameterScope.html" >Synopsis::SymbolLookup::TemplateParameterScope</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#52">Synopsis/SymbolLookup/Scopes.hh:52</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/TemplateParameterScope.html#outer_scope_l_rconst" >Synopsis::SymbolLookup::TemplateParameterScope::outer_scope&#40;&#41;const</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#56">Synopsis/SymbolLookup/Scopes.hh:56</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/TemplateParameterScope.html#_tTemplateParameterScope_l_r" >Synopsis::SymbolLookup::TemplateParameterScope::~TemplateParameterScope&#40;&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mTemplateParameterScope_mouter_scope_l_rconst" /><h2 >Member function Synopsis::SymbolLookup::TemplateParameterScope::outer_scope&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/TemplateParameterScope.html#outer_scope_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#52">Synopsis/SymbolLookup/Scopes.hh:52</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/TemplateParameterScope.html" >Synopsis::SymbolLookup::TemplateParameterScope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mTemplateParameterScope_munqualified_lookup_lconst.PTree_mEncoding_A_cScope_mLookupContext_rconst" /><h2 >Synopsis::SymbolLookup::TemplateParameterScope::unqualified_lookup&#40;const PTree::Encoding&amp;&#44;Scope::LookupContext&#41;const</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#50">Synopsis/SymbolLookup/Scopes.hh:50</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/TemplateParameterScope.html" >Synopsis::SymbolLookup::TemplateParameterScope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mTemplateParameterScope_m_tTemplateParameterScope_l_r" /><h2 >Destructor Synopsis::SymbolLookup::TemplateParameterScope::~TemplateParameterScope&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/TemplateParameterScope.html#_tTemplateParameterScope_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#56">Synopsis/SymbolLookup/Scopes.hh:56</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/TemplateParameterScope.html" >Synopsis::SymbolLookup::TemplateParameterScope</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mTypeError" /><h2 >Struct Synopsis::SymbolLookup::TypeError</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/TypeError.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#18">Synopsis/SymbolLookup/Scope.hh:18</a>: in struct <a href="../Scopes/Synopsis/SymbolLookup/TypeError.html" >Synopsis::SymbolLookup::TypeError</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#20">Synopsis/SymbolLookup/Scope.hh:20</a>: Constructor <a href="../Scopes/Synopsis/SymbolLookup/TypeError.html#TypeError_lconst.PTree_mEncoding_A_cconst.PTree_mEncoding_A_r" >TypeError&#40;const PTree::Encoding&amp;&#44;const PTree::Encoding&amp;&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#22">Synopsis/SymbolLookup/Scope.hh:22</a>: Destructor <a href="../Scopes/Synopsis/SymbolLookup/TypeError.html#_tTypeError_l_r" >~TypeError&#40;&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#23">Synopsis/SymbolLookup/Scope.hh:23</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/TypeError.html#what_l_rconst" >what&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#24">Synopsis/SymbolLookup/Scope.hh:24</a>: Data member <a href="../Scopes/Synopsis/SymbolLookup/TypeError.html#name" >name</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#25">Synopsis/SymbolLookup/Scope.hh:25</a>: Data member <a href="../Scopes/Synopsis/SymbolLookup/TypeError.html#type" >type</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mTypeError_mTypeError_lconst.PTree_mEncoding_A_cconst.PTree_mEncoding_A_r" /><h2 >Synopsis::SymbolLookup::TypeError::TypeError&#40;const PTree::Encoding&amp;&#44;const PTree::Encoding&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#20">Synopsis/SymbolLookup/Scope.hh:20</a>: in struct <a href="../Scopes/Synopsis/SymbolLookup/TypeError.html" >Synopsis::SymbolLookup::TypeError</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mTypeError_mname" /><h2 >Data member Synopsis::SymbolLookup::TypeError::name</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/TypeError.html#name" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#24">Synopsis/SymbolLookup/Scope.hh:24</a>: in struct <a href="../Scopes/Synopsis/SymbolLookup/TypeError.html" >Synopsis::SymbolLookup::TypeError</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mTypeError_mtype" /><h2 >Data member Synopsis::SymbolLookup::TypeError::type</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/TypeError.html#type" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#25">Synopsis/SymbolLookup/Scope.hh:25</a>: in struct <a href="../Scopes/Synopsis/SymbolLookup/TypeError.html" >Synopsis::SymbolLookup::TypeError</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mTypeError_mwhat_l_rconst" /><h2 >Member function Synopsis::SymbolLookup::TypeError::what&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/TypeError.html#what_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#23">Synopsis/SymbolLookup/Scope.hh:23</a>: in struct <a href="../Scopes/Synopsis/SymbolLookup/TypeError.html" >Synopsis::SymbolLookup::TypeError</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mTypeError_m_tTypeError_l_r" /><h2 >Destructor Synopsis::SymbolLookup::TypeError::~TypeError&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/TypeError.html#_tTypeError_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#22">Synopsis/SymbolLookup/Scope.hh:22</a>: in struct <a href="../Scopes/Synopsis/SymbolLookup/TypeError.html" >Synopsis::SymbolLookup::TypeError</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mTypeName" /><h2 >Class Synopsis::SymbolLookup::TypeName</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/TypeName.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#97">Synopsis/SymbolLookup/Symbol.hh:97</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/TypeName.html" >Synopsis::SymbolLookup::TypeName</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#29">Synopsis/SymbolLookup/Display.hh:29</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html" >Synopsis::SymbolLookup::SymbolDisplay</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#38">Synopsis/SymbolLookup/Symbol.hh:38</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html" >Synopsis::SymbolLookup::SymbolVisitor</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#106">Synopsis/SymbolLookup/Symbol.hh:106</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/TypedefName.html" >Synopsis::SymbolLookup::TypedefName</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#114">Synopsis/SymbolLookup/Symbol.hh:114</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ClassName.html" >Synopsis::SymbolLookup::ClassName</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#126">Synopsis/SymbolLookup/Symbol.hh:126</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/EnumName.html" >Synopsis::SymbolLookup::EnumName</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#101">Synopsis/SymbolLookup/Symbol.hh:101</a>: Constructor <a href="../Scopes/Synopsis/SymbolLookup/TypeName.html#TypeName_lconst.PTree_mEncoding_A_cconst.PTree_mNode_S_cbool_cScope_S_r" >TypeName&#40;const PTree::Encoding&amp;&#44;const PTree::Node*&#44;bool&#44;Scope*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#103">Synopsis/SymbolLookup/Symbol.hh:103</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/TypeName.html#accept_lSymbolVisitor_S_rconst" >accept&#40;SymbolVisitor*&#41;const</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mTypeName_mTypeName_lconst.PTree_mEncoding_A_cconst.PTree_mNode_S_cbool_cScope_S_r" /><h2 >Synopsis::SymbolLookup::TypeName::TypeName&#40;const PTree::Encoding&amp;&#44;const PTree::Node*&#44;bool&#44;Scope*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#100">Synopsis/SymbolLookup/Symbol.hh:100</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/TypeName.html" >Synopsis::SymbolLookup::TypeName</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mTypeName_maccept_lSymbolVisitor_S_rconst" /><h2 >Member function Synopsis::SymbolLookup::TypeName::accept&#40;SymbolVisitor*&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/TypeName.html#accept_lSymbolVisitor_S_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#103">Synopsis/SymbolLookup/Symbol.hh:103</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/TypeName.html" >Synopsis::SymbolLookup::TypeName</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mTypedefName" /><h2 >Class Synopsis::SymbolLookup::TypedefName</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/TypedefName.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#106">Synopsis/SymbolLookup/Symbol.hh:106</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/TypedefName.html" >Synopsis::SymbolLookup::TypedefName</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#30">Synopsis/SymbolLookup/Display.hh:30</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html" >Synopsis::SymbolLookup::SymbolDisplay</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#39">Synopsis/SymbolLookup/Symbol.hh:39</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html" >Synopsis::SymbolLookup::SymbolVisitor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#109">Synopsis/SymbolLookup/Symbol.hh:109</a>: Constructor <a href="../Scopes/Synopsis/SymbolLookup/TypedefName.html#TypedefName_lconst.PTree_mEncoding_A_cconst.PTree_mNode_S_cScope_S_r" >TypedefName&#40;const PTree::Encoding&amp;&#44;const PTree::Node*&#44;Scope*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#111">Synopsis/SymbolLookup/Symbol.hh:111</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/TypedefName.html#accept_lSymbolVisitor_S_rconst" >accept&#40;SymbolVisitor*&#41;const</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mTypedefName_mTypedefName_lconst.PTree_mEncoding_A_cconst.PTree_mNode_S_cScope_S_r" /><h2 >Synopsis::SymbolLookup::TypedefName::TypedefName&#40;const PTree::Encoding&amp;&#44;const PTree::Node*&#44;Scope*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#109">Synopsis/SymbolLookup/Symbol.hh:109</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/TypedefName.html" >Synopsis::SymbolLookup::TypedefName</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mTypedefName_maccept_lSymbolVisitor_S_rconst" /><h2 >Member function Synopsis::SymbolLookup::TypedefName::accept&#40;SymbolVisitor*&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/TypedefName.html#accept_lSymbolVisitor_S_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#111">Synopsis/SymbolLookup/Symbol.hh:111</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/TypedefName.html" >Synopsis::SymbolLookup::TypedefName</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mUndefined" /><h2 >Struct Synopsis::SymbolLookup::Undefined</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Undefined.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#28">Synopsis/SymbolLookup/Scope.hh:28</a>: in struct <a href="../Scopes/Synopsis/SymbolLookup/Undefined.html" >Synopsis::SymbolLookup::Undefined</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#30">Synopsis/SymbolLookup/Scope.hh:30</a>: Constructor <a href="../Scopes/Synopsis/SymbolLookup/Undefined.html#Undefined_lconst.PTree_mEncoding_A_cconst.PTree_mNode_S_r" >Undefined&#40;const PTree::Encoding&amp;&#44;const PTree::Node*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#32">Synopsis/SymbolLookup/Scope.hh:32</a>: Destructor <a href="../Scopes/Synopsis/SymbolLookup/Undefined.html#_tUndefined_l_r" >~Undefined&#40;&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#33">Synopsis/SymbolLookup/Scope.hh:33</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Undefined.html#what_l_rconst" >what&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#34">Synopsis/SymbolLookup/Scope.hh:34</a>: Data member <a href="../Scopes/Synopsis/SymbolLookup/Undefined.html#name" >name</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#35">Synopsis/SymbolLookup/Scope.hh:35</a>: Data member <a href="../Scopes/Synopsis/SymbolLookup/Undefined.html#ptree" >ptree</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mUndefined_mUndefined_lconst.PTree_mEncoding_A_cconst.PTree_mNode_S_r" /><h2 >Synopsis::SymbolLookup::Undefined::Undefined&#40;const PTree::Encoding&amp;&#44;const PTree::Node*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#30">Synopsis/SymbolLookup/Scope.hh:30</a>: in struct <a href="../Scopes/Synopsis/SymbolLookup/Undefined.html" >Synopsis::SymbolLookup::Undefined</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mUndefined_mname" /><h2 >Data member Synopsis::SymbolLookup::Undefined::name</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Undefined.html#name" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#34">Synopsis/SymbolLookup/Scope.hh:34</a>: in struct <a href="../Scopes/Synopsis/SymbolLookup/Undefined.html" >Synopsis::SymbolLookup::Undefined</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mUndefined_mptree" /><h2 >Data member Synopsis::SymbolLookup::Undefined::ptree</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Undefined.html#ptree" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#35">Synopsis/SymbolLookup/Scope.hh:35</a>: in struct <a href="../Scopes/Synopsis/SymbolLookup/Undefined.html" >Synopsis::SymbolLookup::Undefined</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mUndefined_mwhat_l_rconst" /><h2 >Member function Synopsis::SymbolLookup::Undefined::what&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Undefined.html#what_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#33">Synopsis/SymbolLookup/Scope.hh:33</a>: in struct <a href="../Scopes/Synopsis/SymbolLookup/Undefined.html" >Synopsis::SymbolLookup::Undefined</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mUndefined_m_tUndefined_l_r" /><h2 >Destructor Synopsis::SymbolLookup::Undefined::~Undefined&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Undefined.html#_tUndefined_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#32">Synopsis/SymbolLookup/Scope.hh:32</a>: in struct <a href="../Scopes/Synopsis/SymbolLookup/Undefined.html" >Synopsis::SymbolLookup::Undefined</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mVariableName" /><h2 >Class Synopsis::SymbolLookup::VariableName</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/VariableName.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#71">Synopsis/SymbolLookup/Symbol.hh:71</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/VariableName.html" >Synopsis::SymbolLookup::VariableName</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#27">Synopsis/SymbolLookup/Display.hh:27</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html" >Synopsis::SymbolLookup::SymbolDisplay</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#36">Synopsis/SymbolLookup/Symbol.hh:36</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html" >Synopsis::SymbolLookup::SymbolVisitor</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#80">Synopsis/SymbolLookup/Symbol.hh:80</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ConstName.html" >Synopsis::SymbolLookup::ConstName</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#75">Synopsis/SymbolLookup/Symbol.hh:75</a>: Constructor <a href="../Scopes/Synopsis/SymbolLookup/VariableName.html#VariableName_lconst.PTree_mEncoding_A_cconst.PTree_mNode_S_cbool_cScope_S_r" >VariableName&#40;const PTree::Encoding&amp;&#44;const PTree::Node*&#44;bool&#44;Scope*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#77">Synopsis/SymbolLookup/Symbol.hh:77</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/VariableName.html#accept_lSymbolVisitor_S_rconst" >accept&#40;SymbolVisitor*&#41;const</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mVariableName_mVariableName_lconst.PTree_mEncoding_A_cconst.PTree_mNode_S_cbool_cScope_S_r" /><h2 >Synopsis::SymbolLookup::VariableName::VariableName&#40;const PTree::Encoding&amp;&#44;const PTree::Node*&#44;bool&#44;Scope*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#74">Synopsis/SymbolLookup/Symbol.hh:74</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/VariableName.html" >Synopsis::SymbolLookup::VariableName</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mVariableName_maccept_lSymbolVisitor_S_rconst" /><h2 >Member function Synopsis::SymbolLookup::VariableName::accept&#40;SymbolVisitor*&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/VariableName.html#accept_lSymbolVisitor_S_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#77">Synopsis/SymbolLookup/Symbol.hh:77</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/VariableName.html" >Synopsis::SymbolLookup::VariableName</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mWalker" /><h2 >Class Synopsis::SymbolLookup::Walker</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Walker.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#22">Synopsis/SymbolLookup/Walker.hh:22</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Walker.html" >Synopsis::SymbolLookup::Walker</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#25">Synopsis/SymbolLookup/Walker.hh:25</a>: Constructor <a href="../Scopes/Synopsis/SymbolLookup/Walker.html#Walker_lScope_S_r" >Walker&#40;Scope*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#26">Synopsis/SymbolLookup/Walker.hh:26</a>: Destructor <a href="../Scopes/Synopsis/SymbolLookup/Walker.html#_tWalker_l_r" >~Walker&#40;&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#28">Synopsis/SymbolLookup/Walker.hh:28</a>: Using visit</li><li ><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#29">Synopsis/SymbolLookup/Walker.hh:29</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Walker.html#visit_lPTree_mList_S_r" >visit&#40;PTree::List*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#30">Synopsis/SymbolLookup/Walker.hh:30</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Walker.html#visit_lPTree_mBlock_S_r" >visit&#40;PTree::Block*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#31">Synopsis/SymbolLookup/Walker.hh:31</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Walker.html#visit_lPTree_mTemplateDecl_S_r" >visit&#40;PTree::TemplateDecl*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#32">Synopsis/SymbolLookup/Walker.hh:32</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Walker.html#visit_lPTree_mNamespaceSpec_S_r" >visit&#40;PTree::NamespaceSpec*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#33">Synopsis/SymbolLookup/Walker.hh:33</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Walker.html#visit_lPTree_mFunctionDefinition_S_r" >visit&#40;PTree::FunctionDefinition*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#34">Synopsis/SymbolLookup/Walker.hh:34</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Walker.html#visit_lPTree_mClassSpec_S_r" >visit&#40;PTree::ClassSpec*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#35">Synopsis/SymbolLookup/Walker.hh:35</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Walker.html#visit_lPTree_mDotMemberExpr_S_r" >visit&#40;PTree::DotMemberExpr*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#36">Synopsis/SymbolLookup/Walker.hh:36</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Walker.html#visit_lPTree_mArrowMemberExpr_S_r" >visit&#40;PTree::ArrowMemberExpr*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#39">Synopsis/SymbolLookup/Walker.hh:39</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Walker.html#traverse_body_lPTree_mNamespaceSpec_S_r" >traverse_body&#40;PTree::NamespaceSpec*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#41">Synopsis/SymbolLookup/Walker.hh:41</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Walker.html#traverse_body_lPTree_mClassSpec_S_r" >traverse_body&#40;PTree::ClassSpec*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#43">Synopsis/SymbolLookup/Walker.hh:43</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Walker.html#traverse_parameters_lPTree_mTemplateDecl_S_r" >traverse_parameters&#40;PTree::TemplateDecl*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#45">Synopsis/SymbolLookup/Walker.hh:45</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Walker.html#traverse_body_lPTree_mFunctionDefinition_S_r" >traverse_body&#40;PTree::FunctionDefinition*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#48">Synopsis/SymbolLookup/Walker.hh:48</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Walker.html#current_scope_l_r" >current_scope&#40;&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#49">Synopsis/SymbolLookup/Walker.hh:49</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Walker.html#leave_scope_l_r" >leave_scope&#40;&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#51">Synopsis/SymbolLookup/Walker.hh:51</a>: Typedef <a href="../Scopes/Synopsis/SymbolLookup/Walker.html#Scopes" >Scopes</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#56">Synopsis/SymbolLookup/Walker.hh:56</a>: Member function <a href="../Scopes/Synopsis/SymbolLookup/Walker.html#visit_block_lPTree_mBlock_S_r" >visit_block&#40;PTree::Block*&#41;</a></li><li ><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#58">Synopsis/SymbolLookup/Walker.hh:58</a>: Data member <a href="../Scopes/Synopsis/SymbolLookup/Walker.html#my_scopes" >my_scopes</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mWalker_mScopes" /><h2 >Typedef Synopsis::SymbolLookup::Walker::Scopes</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Walker.html#Scopes" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#51">Synopsis/SymbolLookup/Walker.hh:51</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Walker.html" >Synopsis::SymbolLookup::Walker</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#58">Synopsis/SymbolLookup/Walker.hh:58</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Walker.html" >Synopsis::SymbolLookup::Walker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mWalker_mWalker_lScope_S_r" /><h2 >Constructor Synopsis::SymbolLookup::Walker::Walker&#40;Scope*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Walker.html#Walker_lScope_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#25">Synopsis/SymbolLookup/Walker.hh:25</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Walker.html" >Synopsis::SymbolLookup::Walker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mWalker_mcurrent_scope_l_r" /><h2 >Member function Synopsis::SymbolLookup::Walker::current_scope&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Walker.html#current_scope_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#48">Synopsis/SymbolLookup/Walker.hh:48</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Walker.html" >Synopsis::SymbolLookup::Walker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mWalker_mleave_scope_l_r" /><h2 >Member function Synopsis::SymbolLookup::Walker::leave_scope&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Walker.html#leave_scope_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#49">Synopsis/SymbolLookup/Walker.hh:49</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Walker.html" >Synopsis::SymbolLookup::Walker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mWalker_mmy_scopes" /><h2 >Data member Synopsis::SymbolLookup::Walker::my_scopes</h2><ul>
<li><a href="../Scopes/Synopsis/SymbolLookup/Walker.html#my_scopes" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#58">Synopsis/SymbolLookup/Walker.hh:58</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Walker.html" >Synopsis::SymbolLookup::Walker</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#48">Synopsis/SymbolLookup/Walker.hh:48</a>: in member function <a href="../Scopes/Synopsis/SymbolLookup/Walker.html#current_scope_l_r" >Synopsis::SymbolLookup::Walker::current_scope&#40;&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mWalker_mtraverse_body_lPTree_mClassSpec_S_r" /><h2 >Synopsis::SymbolLookup::Walker::traverse_body&#40;PTree::ClassSpec*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#41">Synopsis/SymbolLookup/Walker.hh:41</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Walker.html" >Synopsis::SymbolLookup::Walker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mWalker_mtraverse_body_lPTree_mFunctionDefinition_S_r" /><h2 >Synopsis::SymbolLookup::Walker::traverse_body&#40;PTree::FunctionDefinition*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#45">Synopsis/SymbolLookup/Walker.hh:45</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Walker.html" >Synopsis::SymbolLookup::Walker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mWalker_mtraverse_body_lPTree_mNamespaceSpec_S_r" /><h2 >Synopsis::SymbolLookup::Walker::traverse_body&#40;PTree::NamespaceSpec*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#39">Synopsis/SymbolLookup/Walker.hh:39</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Walker.html" >Synopsis::SymbolLookup::Walker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mWalker_mtraverse_parameters_lPTree_mTemplateDecl_S_r" /><h2 >Synopsis::SymbolLookup::Walker::traverse_parameters&#40;PTree::TemplateDecl*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#43">Synopsis/SymbolLookup/Walker.hh:43</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Walker.html" >Synopsis::SymbolLookup::Walker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mWalker_mvisit_lPTree_mArrowMemberExpr_S_r" /><h2 >Synopsis::SymbolLookup::Walker::visit&#40;PTree::ArrowMemberExpr*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#36">Synopsis/SymbolLookup/Walker.hh:36</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Walker.html" >Synopsis::SymbolLookup::Walker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mWalker_mvisit_lPTree_mBlock_S_r" /><h2 >Synopsis::SymbolLookup::Walker::visit&#40;PTree::Block*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#30">Synopsis/SymbolLookup/Walker.hh:30</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Walker.html" >Synopsis::SymbolLookup::Walker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mWalker_mvisit_lPTree_mClassSpec_S_r" /><h2 >Synopsis::SymbolLookup::Walker::visit&#40;PTree::ClassSpec*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#34">Synopsis/SymbolLookup/Walker.hh:34</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Walker.html" >Synopsis::SymbolLookup::Walker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mWalker_mvisit_lPTree_mDotMemberExpr_S_r" /><h2 >Synopsis::SymbolLookup::Walker::visit&#40;PTree::DotMemberExpr*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#35">Synopsis/SymbolLookup/Walker.hh:35</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Walker.html" >Synopsis::SymbolLookup::Walker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mSymbolLookup_mWalker_mvisit_lPTree_mFunctionDefinition_S_r" /><h2 >Synopsis::SymbolLookup::Walker::visit&#40;PTree::FunctionDefinition*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#33">Synopsis/SymbolLookup/Walker.hh:33</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Walker.html" >Synopsis::SymbolLookup::Walker</a></li>
</ul></li>
</ul>
</div>
<div class="logo">Generated on Thu Apr 16 16:28:05 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
